org.appng.core.model

## Class JarInfo

- java.lang.Object
- - org.appng.core.model.JarInfo

- All Implemented Interfaces:
    Comparable<JarInfo>

      public final class JarInfo
      extends Object
      implements Comparable<JarInfo>

  A `JarInfo` provides some informations about a JAR-file, including some meta-informations retrieved from `META-INF/MANIFEST.MF`.
  Author:
    Matthias Herlitzius

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JarInfo.JarInfoBuilder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(JarInfo other)`
    `String` | `getApplicationName()`
    `String` | `getFileName()`
    `String` | `getImplementationTitle()`
    `String` | `getImplementationVendor()`
    `String` | `getImplementationVendorId()`
    `String` | `getImplementationVersion()`
    `long` | `getLastModified()`
    `long` | `getLength()`
    `Date` | `getVersion()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getFileName

          public String getFileName()

    - #### getApplicationName

          public String getApplicationName()

    - #### getLastModified

          public long getLastModified()

    - #### getVersion

          public Date getVersion()

    - #### getLength

          public long getLength()

    - #### getImplementationTitle

          public String getImplementationTitle()

    - #### getImplementationVersion

          public String getImplementationVersion()

    - #### getImplementationVendorId

          public String getImplementationVendorId()

    - #### getImplementationVendor

          public String getImplementationVendor()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(JarInfo other)

      Specified by:
        `compareTo` in interface `Comparable<JarInfo>`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.